GS(1)

NUME
gs - Ghostscript (interpret și instrument de pre-vizualizare de limbaj PostScript și PDF)

SINOPSIS
gs [ opțiuni ] [ fișiere ] ... (Unix, VMS)
gswin32c [ opțiuni ] [ fișiere ] ... (MS Windows)
gswin32 [ opțiuni ] [ fișiere ] ... (MS Windows 3.1)
gsos2 [ opțiuni ] [ fișiere ] ... (OS/2)

DESCRIERE
Comanda gs (gswin32c, gswin32, gsos2) invocă Ghostscript, un interpret al limbajelor PostScript(tm) și Portable Document Format (PDF) de la Adobe Systems. gs citește „fișiere” în secvență și le execută ca programe Ghostscript. După ce face acest lucru, citește alte intrări din fluxul de intrare standard (în mod normal, de la tastatură), interpretând fiecare linie în parte și generând date de ieșire către un dispozitiv de ieșire (poate fi un fișier sau o previzualizare a unei ferestre X11, a se vedea mai jos). Interpretul iese în mod elegant atunci când întâlnește comanda «quit» (fie într-un fișier, fie de la tastatură), la sfârșitul fișierului sau la un semnal de întrerupere (cum ar fi Control-C de la tastatură).

Interpretul recunoaște multe opțiuni de comutare, dintre care unele sunt descrise mai jos. Vă rugăm să consultați documentația de utilizare pentru informații complete. Opțiunile pot apărea oriunde în linia de comandă și se aplică tuturor fișierelor care urmează. Invocarea Ghostscript cu opțiunea -h sau -? produce un mesaj care afișează mai multe opțiuni utile, toate dispozitivele cunoscute de acel executabil și ruta de căutare a fonturilor; în Unix se afișează, de asemenea, locația documentației detaliate.

Ghostscript poate fi construit pentru a utiliza multe dispozitive de ieșire diferite. Pentru a vedea ce dispozitive include executabilul dumneavoastră, rulați «gs -h».

Dacă nu specificați un anumit dispozitiv, Ghostscript deschide în mod normal primul dintre acestea și direcționează ieșirea către el.

Dacă este construit cu suport X11, deseori dispozitivul implicit este o fereastră X11 (adică, instrumentul de previzualizare), altfel ghostscript va folosi de obicei dispozitivul „bbox” și va imprima la ieșirea standard dimensiunea fișierului postscript.

Deci, dacă primul din listă este cel pe care doriți să-l utilizați, trebuie doar să lansați comanda

	gs fișierul-meu.ps

De asemenea, puteți verifica setul de dispozitive disponibile din Ghostscript: invocați Ghostscript și tastați

	devicenames ==

dar este posibil ca primul dispozitiv din lista rezultată să nu fie dispozitivul implicit pe care l-ați stabilit cu «gs -h». Pentru a specifica „AbcXyz” ca dispozitiv de ieșire inițial, includeți comutatorul

	-sDEVICE=AbcXyz

De exemplu, pentru ieșirea către o imprimantă Epson, puteți utiliza comanda

	gs -sDEVICE=epson fișierul-meu.ps

Opțiunea „-sDEVICE=” trebuie să preceadă prima mențiune a unui fișier care urmează să fie imprimat și numai prima utilizare a acestei opțiuni are efect.

De asemenea, puteți specifica un dispozitiv implicit în variabila de mediu GS_DEVICE. Ordinea de precedență pentru aceste alternative, de la cea mai mare la cea mai mică (Ghostscript utilizează dispozitivul definit cel mai sus în listă) este următoarea:

   setpagedevice
   (command line)
   GS_DEVICE
   (first device in build list)

Unele dispozitive pot suporta rezoluții (densități) diferite. Pentru a specifica rezoluția pe o astfel de imprimantă, utilizați opțiunea „-r”:

	gs -sDEVICE=<dispozitiv> -r<rezX>x<rezY>

De exemplu, pe o imprimantă Epson compatibilă cu 9 pini, obțineți modul cu cea mai mică densitate (cel mai rapid) cu

	gs -sDEVICE=epson -r60x72

și modul cu cea mai mare densitate (cea mai bună calitate de ieșire) cu

	gs -sDEVICE=epson -r240x72.

Dacă selectați o imprimantă ca dispozitiv de ieșire, Ghostscript vă permite, de asemenea, să alegeți unde trimite Ghostscript ieșirea - pe sistemele Unix, de obicei într-un fișier temporar. Pentru a trimite ieșirea la un fișier „foo.xyz”, utilizați opțiunea

	-sOutputFile=foo.xyz

Este posibil să doriți să imprimați fiecare pagină separat. Pentru a face acest lucru, trimiteți ieșirea către o serie de fișiere „foo1.xyz, foo2.xyz, ...” utilizând opțiunea „-sOutputFile=” cu „%d” în șablonul de nume de fișier:

	-sOutputFile=foo%d.xyz

Fiecare fișier rezultat primește o pagină de ieșire, iar fișierele sunt numerotate în ordine. „%d” este o specificație a formatului printf; puteți utiliza și o variantă precum „%02d”.

În sistemele Unix și MS Windows, puteți, de asemenea, să trimiteți ieșirea către o conductă. De exemplu, pentru a direcționa ieșirea către comanda «lpr» (care, pe multe sisteme Unix, o direcționează către o imprimantă), utilizați opțiunea

	-sOutputFile=%pipe%lpr

Rețineți faptul că în MS Windows, caracterele „%” trebuie dublate pentru a se evita manipularea lor de către interpretul de comenzi.

De asemenea, puteți trimite ieșirea la ieșirea standard:

	-sOutputFile=-
sau
	-sOutputFile=%stdout%

În acest caz, trebuie să utilizați și opțiunea -q, pentru a împiedica Ghostscript să scrie mesaje la ieșirea standard.

Pentru a selecta un anumit format de hârtie, utilizați opțiunea din linia de comandă

	-sPAPERSIZE=<dimensiune-hârtie>

de pildă

	-sPAPERSIZE=a4
sau
	-sPAPERSIZE=legal

Sunt recunoscute majoritatea dimensiunilor de hârtie ISO și SUA. Consultați documentația de utilizare pentru o listă completă sau definițiile din fișierul de inițializare „gs_statd.ps”.

Ghostscript poate face multe alte lucruri în afară de a imprima sau vizualiza fișiere PostScript și PDF. De exemplu, dacă doriți să cunoașteți caseta de delimitare a unui fișier PostScript (sau EPS), Ghostscript oferă un „dispozitiv” special care imprimă pur și simplu această informație.

De exemplu, folosind unul dintre fișierele de exemplu distribuite cu Ghostscript,

	gs -sDEVICE=bbox golfer.ps

afișează

	%%BoundingBox: 0 25 583 732
	%%HiResBoundingBox: 0.808497 25.009496 582.994503 731.809445

OPȚIUNI

-- nume-fișier arg1 ...
    Ia următorul argument ca nume de fișier ca de obicei, dar ia toate argumentele rămase (chiar dacă au forma sintactică de opțiuni) și definește numele „ARGUMENTS” în „userdict” (nu în „systemdict”) ca o matrice a acestor șiruri, înainte de a rula fișierul. Când Ghostscript termină de executat fișierul, revine înapoi în shell.

-Dnume=token
-dnume=token
    Definește un nume în „systemdict” cu definiția dată. Numele trebuie să fie exact un token (așa cum este definit de operatorul „token” și nu poate conține spații albe.

-Dnume
-dnume
    Definește un nume în „systemdict” cu valoarea=null.

-Snume=șir
-snume=șir
    Definește un nume în „systemdict” cu un șir de caractere dat ca valoare. Acest lucru este diferit de -d. De exemplu, -dname=35 este echivalent cu fragmentul de program
      /nume 35 def
    în timp ce -snume=35 este echivalent cu
      /nume (35) def

-P  Face ca Ghostscript să caute mai întâi în directorul curent pentru fișierele de bibliotecă. În mod implicit, Ghostscript nu mai caută în directorul curent, cu excepția cazului în care, desigur, primul director furnizat în mod explicit este „.” în -I. A se vedea, de asemenea, secțiunea FIȘERE DE INIȚIALIZARE de mai jos, și fișierul Use.htm pentru o discuție detaliată despre rutele de căutare și modul în care Ghostcript găsește fișierele.

-q  Pornire silențioasă: suprimă mesajele normale de pornire și, de asemenea, face echivalentul lui -dQUIET.

-gnumăr1xnumăr2
    Echivalent cu -dDEVICEWIDTH=număr1 și -dDEVICEHEIGHT=număr2. Acest lucru este în beneficiul dispozitivelor (cum ar fi ferestrele X11) care necesită (sau permit) specificarea lățimii și înălțimii.

-rnumăr
-rnumăr1xnumăr2
    Echivalent cu -dDEVICEXRESOLUTION=număr1 și -dDEVICEYRESOLUTION=număr2. Acest lucru este în beneficiul dispozitivelor, cum ar fi imprimantele care acceptă mai multe rezoluții X și Y. Dacă se indică un singur număr, acesta este utilizat pentru ambele rezoluții X și Y.

-Idirectoare
    Adaugă lista de directoare desemnată în capul rutei de căutare a fișierelor de bibliotecă.

-   Acesta nu este de fapt o opțiune de comutare, dar indică lui Ghostscript că intrarea standard provine dintr-un fișier sau dintr-o conductă și nu interactiv din linia de comandă. Ghostscript citește de la intrarea standard până când ajunge la sfârșitul fișierului, executându-l ca pe orice alt fișier, apoi continuă cu procesarea liniei de comandă. Atunci când linia de comandă a fost procesată în întregime, Ghostscript iese, în loc să treacă în modul interactiv.

Rețineți că fișierul normal de inițializare „gs_init.ps” face ca „systemdict” să fie numai pentru citire, astfel încât valorile numelor definite cu -D, -d, -S sau -s nu pot fi modificate (deși, desigur, acestea pot fi înlocuite de definițiile din „userdict” sau din alte dicționare).

NUME SPECIALE

-dNOCACHE
    Dezactivează memoria cache a caracterelor. Utilă doar pentru depanare.

-dNOBIND
    Dezactivează operatorul „bind”. Utilă doar pentru depanare.

-dNODISPLAY
    Suprimă inițializarea normală a dispozitivului de ieșire. Acest lucru poate fi util la depanare.

-dNOPAUSE
    Dezactivează solicitarea și pauza de la sfârșitul fiecărei pagini. Acest lucru poate fi de dorit pentru aplicațiile în care un alt program conduce Ghostscript.

-dNOPLATFONTS
    Dezactivează utilizarea fonturilor furnizate de platforma de bază (de exemplu, X Windows). Acest lucru poate fi necesar în cazul în care fonturile platformei au un aspect nedorit, diferit de cel al fonturilor scalabile.

-dSAFER
    Restricționează operațiile cu fișiere pe care le poate efectua lucrarea. Acum este modul implicit de operare.

-dWRITESYSTEMDICT
    Lasă „systemdict” accesibil la scriere. Acest lucru este necesar atunci când se execută programe auxiliare speciale, dar este puternic descurajat, deoarece ocolește măsurile normale de securitate Postscript.

-sDEVICE=dispozitiv
    Selectează un dispozitiv de ieșire inițial alternativ, așa cum este descris mai sus.

-sOutputFile=nume-fișier
    Selectează un fișier de ieșire alternativ (sau o conductă) pentru dispozitivul de ieșire inițial, așa cum este descris mai sus.

MODUL SIGUR

Opțiunea -dSAFER restricționează accesul la sistemul de fișiere la acele fișiere și directoare permise de variabilele de mediu relevante (cum ar fi GS_LIB) sau de parametrii liniei de comandă (a se vedea https://ghostscript.com/doc/current/Use.htm pentru detalii).

Modul SAFER este acum modul implicit de funcționare. Astfel, atunci când executați programe care trebuie să deschidă fișiere sau să definească parametri restricționați, trebuie să treceți opțiunea de linie de comandă -dNOSAFER sau sinonimul său -dDELAYSAFER.

Rularea cu NOSAFER/DELAYSAFER (după cum sugerează același nume) slăbește securitatea și, prin urmare, este recomandată NUMAI pentru depanare sau în fluxuri de lucru foarte controlate și NU este recomandată în nicio altă situație.

FIȘIERE

Locațiile multor fișiere de execuție Ghostscript sunt compilate în executabil atunci când acesta este construit. În Unix, acestea se bazează de obicei pe /usr/local, dar este posibil ca acest lucru să fie diferit în sistemul dumneavoastră. În DOS, acestea se bazează de obicei în C:\GS, dar pot fi în altă parte, în special dacă instalați Ghostscript cu GSview. Rulați «gs -h» pentru a găsi locația documentației Ghostscript din sistemul dumneavoastră, de unde puteți obține mai multe detalii.

/usr/local/share/ghostscript/#.##/*
    Fișiere de pornire, instrumente și definiții de bază ale fonturilor

/usr/local/share/ghostscript/fonts/*
    Mai multe definiții de fonturi

/usr/local/share/ghostscript/#.##/examples/*
    Fișiere demonstrative Ghostscript

/usr/local/share/ghostscript/#.##/doc/*
    Diverse fișiere de documente

FIȘIERE DE INIȚIALIZARE
Atunci când caută fișierele de inițializare „gs_*.ps”, fișierele referitoare la fonturi sau fișierul pentru operatorul „run”, Ghostscript încearcă mai întâi să deschidă fișierul cu numele dat, utilizând directorul de lucru curent dacă nu este specificat niciun director. Dacă acest lucru nu reușește, iar numele fișierului nu specifică un director sau o unitate explicită (de exemplu, nu conține „/” pe sistemele Unix sau „\” pe sistemele MS Windows), Ghostscript încearcă directoare în această ordine:

1.  directoarele specificate de opțiunile -I din linia de comandă (a se vedea mai jos), dacă există;

2.  directoarele specificate de variabila de mediu GS_LIB, dacă există;

3.  directoarele specificate de macro GS_LIB_DEFAULT din fișierul de creare Ghostscript atunci când a fost construit executabilul. Atunci când gs este construit pe Unix, GS_LIB_DEFAULT este de obicei „/usr/local/share/ghostscript/#.##:/usr/local/share/ghostscript/fonts” unde „#.##” reprezintă numărul versiunii Ghostscript.

Fiecare dintre acestea (parametrul GS_LIB_DEFAULT, GS_LIB și -I) poate fi fie un singur director, fie o listă de directoare separate prin „:”.

MEDIU

GS_OPTIONS
    Șir de opțiuni care urmează să fie procesate înainte de opțiunile liniei de comandă

GS_DEVICE
    Utilizată pentru a specifica un dispozitiv de ieșire

GS_FONTPATH
    Nume de rute utilizate pentru căutarea fonturilor

GS_LIB
    Nume de rute pentru fișierele de inițializare și fonturi

TEMP
    Unde sunt create fișierele temporare

RESURSE X
Ghostscript, sau, mai corect, dispozitivul de afișare X11, caută următoarele resurse sub numele de program „Ghostscript”:

borderWidth
    Lățimea marginii în pixeli (implicit = 1).

borderColor
    Numele culorii marginii (implicit = „black”, negru).

geometry
    Dimensiunea și poziționarea ferestrei, WxH+X+Y (valoarea implicită este NULL).

xResolution
    Numărul de pixeli x pe inch (valoarea implicită este calculată din WidthOfScreen și WidthMMOfScreen).

yResolution
    Numărul de pixeli y pe inch (valoarea implicită este calculată din HeightOfScreen și HeightMMOfScreen).

useBackingPixmap
    Determină dacă stocarea de rezervă „backing store” va fi utilizată pentru salvarea ferestrei de afișare (implicit = true).

Consultați documentul de utilizare pentru o listă mai completă de resurse. Pentru a configura aceste resurse în Unix, introduceți-le într-un fișier de tipul "~/.Xresources" în următoarea formă:

	Ghostscript*geometry:	 612x792-0+0
	Ghostscript*xResolution: 72
	Ghostscript*yResolution: 72

Apoi unificați aceste resurse în baza de date a resurselor serverului X:

	% xrdb -merge ~/.Xresources

CONSULTAȚI ȘI
Diferitele fișiere document Ghostscript (de mai sus), în special Use.htm.

ERORI
A se vedea http://bugs.ghostscript.com/ și grupul de știri Usenet comp.lang.postscript.

VERSIUNEA
Acest document a fost revizuit ultima dată pentru versiunea Ghostscript 10.04.0.

AUTOR
Artifex Software, Inc. sunt principalii întreținători ai Ghostscript. Russell J. Lang, gsview at ghostgum.com.au, este autorul celei mai mari părți a codului MS Windows din Ghostscript.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.